class MyClass:
    # (注:オプションでクラス本体でインスタンス変数を宣言できる)
    attr: int
    # (注:インスタンス変数のデフォルト値も指定できる)
    charge_percent: int = 100

    # (注:__init__メソッドは何も返さないためNoneを指定する)
    def __init__(self) -> None:
        # (注:属性の型も宣言できる)
        self.items: list[str] = []

    # (注:インスタンスメソッドの場合、selfの型を省略する)
    def my_method(self, num: int, str1: str) -> str:
        return num * str1

# (注:ユーザー定義クラスは型アノテーションとして有効)
x: MyClass = MyClass()
