num: int | float

def normalize_year(year: int | str) -> int:
    if isinstance(year, int):
        # (注:ここでのyearは数値)
        return year

    # (注:これ以降yearは文字列)
    if year.startswith("昭和"):
        return int(year[2:]) + 1925
    elif year.startswith("平成"):
        return int(year[2:]) + 1988
    elif year.startswith("令和"):
        return int(year[2:]) + 2018
    raise ValueError("unsupported style")

print(normalize_year("昭和64"))
